/* Load a DLL with soft return on failure:
*/

WhatDLL  = arg(1);
WhatRout = arg(2);

SIGNAL on SYNTAX NAME NoDLL;

nok = RxFuncAdd( WhatRout, WhatDLL, WhatRout );

_Z = "call "||WhatRout";";
interpret _Z;

exit(1);  /* this is the ok-exit      */

NoDLL:
   say "Caught at >NoDLL<";
   exit(0);
